#!/usr/bin/perl
#
# Copyright 1998-2000, Cobalt Networks, Inc
# All rights reserved

### START HARDCODED PATHS
my $AdminPages_dir = '/usr/admserv/html/.cobalt';
my $AdminServer_dir = '/usr/admserv';
my $Htgroup_dir = '/home/sites';
my $MainGroup = 'home';
my $Webdir = 'web';

my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS
use Cobalt::Layout;
use Cobalt::Services;
use Cobalt::User;
use Cobalt::Network;
use DB_File;
use Fcntl qw(O_RDWR O_CREAT);
use Getopt::Std;

getopts('v');

$ENV{ 'REQUEST_METHOD' }='GET';

my $source="";

# generate pages
&Cobalt::Layout::layout_sysManage();
&Cobalt::Layout::layout_personal();

# make default pages to setup wizard
opendir(DIR, "$AdminPages_dir/wizard");
foreach (readdir(DIR))
{
    if (/^wizardRedirect\.html$/) {
	$source="$AdminPages_dir/wizard/wizardRedirect.html";
	last;
    }
    if (/^wizardRedirect\.html\.(.+)$/) {
	$source="$AdminPages_dir/wizard/wizardRedirect.html.$1";
	last;
    }
}
closedir(DIR);

if (-e $source) {
    qx(cat $source >$AdminServer_dir/html/index.html);
    chmod(0644, "$AdminServer_dir/html/index.html");

    qx(cat $source >$Htgroup_dir/$MainGroup/$Webdir/index.html);
    chmod(0664, "$Htgroup_dir/$MainGroup/$Webdir/index.html");
}

if ( $opt_v ) {
        use Cobalt::Vsite;
        my @vhosts = Cobalt::Vsite::vsite_list();
        foreach $vhost ( @vhosts ) {
                Cobalt::Layout::layout_siteManage( $$vhost[2], $$vhost[1] );
        }
}

exit 0;
