// Copyright 1998-2000, Cobalt Networks.  All rights reserved.
// $Id: list.js,v 1.6 2000/10/04 00:00:45 pbose Exp $

function lineUpList( element ) {
    var listValue=element.value;
    var breaked=false;
    var result='';

    for( var i=0; i<listValue.length; i++ ) {
	var ch=listValue.charAt( i );
	if( ch==',' || ch==' ' ) {
	    if( !breaked ) result+='\n';
	    breaked=true;
	}
	else {
	    result+=ch;
	    breaked=false;
	}
    }

    element.value=result;
}

// works only if the list is lined up
function getItems( element ) {
    var listValue=element.value;
    var str='';
    var result=new Array();

    for( var i=0; i<listValue.length; i++ ) {
	var ch=listValue.charAt( i );
	if( ch==',' || ch==' ' || ch=='\n' || ch=='\r' ) {
	    if( str!='' ) result[ result.length ]=str;
	    str='';
	}
	else str+=ch;
    }

    if( str!='' ) result[ result.length ]=str;

    return result;
}

function lineUpCommaList( element ) {
    var listValue=element.value;
    var breaked=false;
    var result='';

    for( var i=0; i<listValue.length; i++ ) {
	var ch=listValue.charAt( i );
	if( ch==',' || ch==' ' ) {
	    if( !breaked ) result+=', ';
	    breaked=true;
	}
	else {
	    result+=ch;
	    breaked=false;
	}
    }

    element.value=result;
}

// works only if the list is lined up, must be used in conjunction with network.js
function checkCommaList( element, errMsg ) {
    var listValue=element.value;
    var str='';

    for( var i=0; i<listValue.length; i++ ) {
        var ch=listValue.charAt( i );
        if( ch==',' || ch==' ' || ch=='\n' || ch=='\r' ) {
            if( str!='' && !isDomainNameValid( str ) ) {
                element.focus();
                element.select();
                top.showInfo( errMsg, 0, 'error' );
                return false;
            }
            str='';
        }
        else str+=ch;
    }
            
    if( str!='' && !isDomainNameValid( str ) ) {
        element.focus();
        element.select();
        top.showInfo( errMsg, 0, 'error' );
        return false;
    }

    return true;
}

